summaryrefslogtreecommitdiffstats
path: root/desktop/mate-desktop
diff options
context:
space:
mode:
Diffstat (limited to 'desktop/mate-desktop')
-rw-r--r--desktop/mate-desktop/README2
-rw-r--r--desktop/mate-desktop/doinst.sh19
-rw-r--r--desktop/mate-desktop/mate-desktop.SlackBuild124
-rw-r--r--desktop/mate-desktop/mate-desktop.info10
-rw-r--r--desktop/mate-desktop/mate-mimeapps.list101
-rw-r--r--desktop/mate-desktop/slack-desc19
6 files changed, 275 insertions, 0 deletions
diff --git a/desktop/mate-desktop/README b/desktop/mate-desktop/README
new file mode 100644
index 0000000000..92b329000d
--- /dev/null
+++ b/desktop/mate-desktop/README
@@ -0,0 +1,2 @@
+mate-desktop contains the libmate-desktop library, the mate-about
+program, as well as some desktop-wide documents.
diff --git a/desktop/mate-desktop/doinst.sh b/desktop/mate-desktop/doinst.sh
new file mode 100644
index 0000000000..f25bed6fb6
--- /dev/null
+++ b/desktop/mate-desktop/doinst.sh
@@ -0,0 +1,19 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
+if [ -e usr/share/glib-2.0/schemas ]; then
+ if [ -x /usr/bin/glib-compile-schemas ]; then
+ /usr/bin/glib-compile-schemas usr/share/glib-2.0/schemas >/dev/null 2>&1
+ fi
+fi
diff --git a/desktop/mate-desktop/mate-desktop.SlackBuild b/desktop/mate-desktop/mate-desktop.SlackBuild
new file mode 100644
index 0000000000..a6f9e13682
--- /dev/null
+++ b/desktop/mate-desktop/mate-desktop.SlackBuild
@@ -0,0 +1,124 @@
+#!/bin/bash
+
+# Slackware build script for mate-desktop
+
+# Copyright 2013 Chess Griffin Raleigh, NC
+# Copyright 2013-2021 Willy Sudiarto Raharjo
+# Copyright 2023-2024 Johannes Schoepfer, Germany
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=mate-desktop
+VERSION=${VERSION:-1.28.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "aarch64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "arm" ]; then
+ SLKCFLAGS="-O2 -march=armv7-a -mfpu=vfpv3-d16 -mfloat-abi=hard"
+ LIBDIRSUFFIX=""
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.xz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} + -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} +
+
+mkdir build
+cd build
+ CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS" \
+ meson .. \
+ --buildtype=release \
+ --infodir=/usr/info \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ -Dmate-about=false \
+ -Dintrospection=true \
+ -Db_lto=true \
+ -Dstrip=true
+ "${NINJA:=ninja}"
+ DESTDIR=$PKG $NINJA install
+cd ..
+
+mkdir -p $PKG/usr/share/applications
+cp $CWD/mate-mimeapps.list $PKG/usr/share/applications
+
+rm $PKG/usr/man/man1/mate-about*
+find $PKG/usr/man -type f -exec gzip -9 {} +
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING COPYING-DOCS COPYING.LIB ChangeLog NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/desktop/mate-desktop/mate-desktop.info b/desktop/mate-desktop/mate-desktop.info
new file mode 100644
index 0000000000..a29c6da705
--- /dev/null
+++ b/desktop/mate-desktop/mate-desktop.info
@@ -0,0 +1,10 @@
+PRGNAM="mate-desktop"
+VERSION="1.28.2"
+HOMEPAGE="https://wiki.mate-desktop.org/mate-desktop/components/mate-desktop/"
+DOWNLOAD="https://pub.mate-desktop.org/releases/1.28/mate-desktop-1.28.2.tar.xz"
+MD5SUM="3427bf8e49e4b5a91a41eba37aae3638"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Johannes Schoepfer"
+EMAIL="slackbuilds@schoepfer.info"
diff --git a/desktop/mate-desktop/mate-mimeapps.list b/desktop/mate-desktop/mate-mimeapps.list
new file mode 100644
index 0000000000..c771e379d8
--- /dev/null
+++ b/desktop/mate-desktop/mate-mimeapps.list
@@ -0,0 +1,101 @@
+[Default Applications]
+image/bmp=eom.desktop
+image/gif=eom.desktop
+image/jpeg=eom.desktop
+image/jpg=eom.desktop
+image/pjpeg=eom.desktop
+image/png=eom.desktop
+image/tiff=eom.desktop
+image/x-bmp=eom.desktop
+image/x-gray=eom.desktop
+image/x-icb=eom.desktop
+image/x-ico=eom.desktop
+image/x-pcx=eom.desktop
+image/x-png=eom.desktop
+image/x-portable-anymap=eom.desktop
+image/x-portable-bitmap=eom.desktop
+image/x-portable-graymap=eom.desktop
+image/x-portable-pixmap=eom.desktop
+image/x-xbitmap=eom.desktop
+image/x-xpixmap=eom.desktop
+image/svg+xml=eom.desktop
+image/svg+xml-compressed=eom.desktop
+image/vnd.wap.wbmp=eom.desktop
+application/pdf=atril.desktop
+application/x-bzpdf=atril.desktop
+application/x-gzpdf=atril.desktop
+application/postscript=atril.desktop
+application/x-bzpostscript=atril.desktop
+application/x-gzpostscript=atril.desktop
+image/x-eps=atril.desktop
+image/x-bzeps=atril.desktop
+image/x-gzeps=atril.desktop
+application/x-dvi=atril.desktop
+application/x-bzdvi=atril.desktop
+application/x-gzdvi=atril.desktop
+image/vnd.djvu=atril.desktop
+image/tiff=atril.desktop
+application/x-cbr=atril.desktop
+application/x-cbz=atril.desktop
+application/x-cb7=atril.desktop
+application/x-cbt=atril.desktop
+application/oxps=atril.desktop
+application/vnd.ms-xpsdocument=atril.desktop
+application/x-dvi=atril.desktop
+application/x-7z-compressed=engrampa.desktop
+application/x-7z-compressed-tar=engrampa.desktop
+application/x-ace=engrampa.desktop
+application/x-alz=engrampa.desktop
+application/x-ar=engrampa.desktop
+application/x-arj=engrampa.desktop
+application/x-bzip=engrampa.desktop
+application/x-bzip-compressed-tar=engrampa.desktop
+application/x-bzip1=engrampa.desktop
+application/x-bzip1-compressed-tar=engrampa.desktop
+application/x-cabinet=engrampa.desktop
+application/x-cbr=engrampa.desktop
+application/x-cbz=engrampa.desktop
+application/x-cd-image=engrampa.desktop
+application/x-compress=engrampa.desktop
+application/x-compressed-tar=engrampa.desktop
+application/x-cpio=engrampa.desktop
+application/x-deb=engrampa.desktop
+application/x-ear=engrampa.desktop
+application/x-ms-dos-executable=engrampa.desktop
+application/x-gtar=engrampa.desktop
+application/x-gzip=engrampa.desktop
+application/x-gzpostscript=engrampa.desktop
+application/x-java-archive=engrampa.desktop
+application/x-lha=engrampa.desktop
+application/x-lhz=engrampa.desktop
+application/x-lrzip=engrampa.desktop
+application/x-lrzip-compressed-tar=engrampa.desktop
+application/x-lzip=engrampa.desktop
+application/x-lzip-compressed-tar=engrampa.desktop
+application/x-lzma=engrampa.desktop
+application/x-lzma-compressed-tar=engrampa.desktop
+application/x-lzop=engrampa.desktop
+application/x-lzop-compressed-tar=engrampa.desktop
+application/x-ms-wim=engrampa.desktop
+application/x-rar=engrampa.desktop
+application/x-rar-compressed=engrampa.desktop
+application/x-rpm=engrampa.desktop
+application/x-rzip=engrampa.desktop
+application/x-tar=engrampa.desktop
+application/x-tarz=engrampa.desktop
+application/x-stuffit=engrampa.desktop
+application/x-war=engrampa.desktop
+application/x-xz=engrampa.desktop
+application/x-xz-compressed-tar=engrampa.desktop
+application/x-zip=engrampa.desktop
+application/x-zip-compressed=engrampa.desktop
+application/x-zoo=engrampa.desktop
+application/zip=engrampa.desktop
+application/x-archive=engrampa.desktop
+application/vnd.ms-cab-compressed=engrampa.desktop
+text/plain=pluma.desktop
+inode/directory=caja-folder-handler.desktop
+application/x-directory=caja-folder-handler.desktop
+# URI scheme handlers
+x-scheme-handler/computer=caja-folder-handler.desktop
+x-scheme-handler/network=caja-folder-handler.desktop
diff --git a/desktop/mate-desktop/slack-desc b/desktop/mate-desktop/slack-desc
new file mode 100644
index 0000000000..47c2610bd7
--- /dev/null
+++ b/desktop/mate-desktop/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+mate-desktop: mate-desktop (Library with common API for various MATE modules)
+mate-desktop:
+mate-desktop: mate-desktop contains the libmate-desktop library, the mate-about
+mate-desktop: program, as well as some desktop-wide documents.
+mate-desktop:
+mate-desktop:
+mate-desktop:
+mate-desktop:
+mate-desktop:
+mate-desktop: https://wiki.mate-desktop.org/mate-desktop/components/mate-desktop/
+mate-desktop: